/* Social links ================ */

@import "./src/lib/core/variables";

.social-list {
  display: flex;
  align-items: center;
}

.social-list__item {

  + .social-list__item {
    margin-left: 30px;

    @include mq("laptop-small", "max") {
      margin-left: 15px;
    }
  }
}

a.social-list__link,
.social-list__link {
  display: flex;
  align-items: center;
  justify-content: center;
  color: $color-primary;

  &:hover {
    color: $color-secondary;
  }

  .icon {

    &-youtube {
      width: 35px;
      height: 25px;

      @include mq("laptop-small", "max") {
        width: 30px;
        height: 20px;
      }
    }

    &-instagram {
      width: 35px;
      height: 32px;

      @include mq("laptop-small", "max") {
        width: 30px;
        height: 27px;
      }
    }

    &-vk {
      width: 38px;
      height: 22px;

      @include mq("laptop-small", "max") {
        width: 33px;
        height: 17px;
      }
    }

    &-facebook {
      width: 18px;
      height: 32px;

      @include mq("laptop-small", "max") {
        width: 13px;
        height: 27px;
      }
    }
  }
}
/* ================ end social links */
